# SuffixTrie.Node (Crawler-commons 1.1 API)
Date: 2020-06-25

crawlercommons.domains

## Class SuffixTrie.Node<V>

- java.lang.Object
- - crawlercommons.domains.SuffixTrie.Node<V>

Enclosing class:
  SuffixTrie<V>

    protected static class SuffixTrie.Node<V>
    extends Object

### Constructor Summary

Constructors
`protected` `Node()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SuffixTrie.Node<V>` `addChild(char c, V value)`
`SuffixTrie.Node<V>` `getChild(char c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Node

    protected Node()

### Method Detail

#### getChild

    public SuffixTrie.Node<V> getChild(char c)

#### addChild

    public SuffixTrie.Node<V> addChild(char c,
                                       V value)